import Movable from "../lib/Movable";
import MovableManager from "../lib/MovableManager";
import Vector2 from "../lib/Vector2";
import { IWeaponHost } from "../weapon/IWeaponHost";
import Weapon from "../weapon/Weapon";


export default class Enemy extends Movable implements IWeaponHost {
    movableManager: MovableManager;
    constructor(movableManager: MovableManager) {
        super();
        this.movableManager = movableManager;

        movableManager.add(this);

        this.texture = FYGE.Texture.fromUrl('//yun.duiba.com.cn/spark/assets/enemy2_fly1.0f4acd3728e90763d98a7328a5a32dbc78ec204e.png')

        const weapon = new Weapon(this);

        this.addEventListener(FYGE.Event.REMOVED_FROM_STAGE, () => {
            console.log('敌人消失了')
            weapon.destroy();
        })
    }

    getShootVelocity() { return new Vector2(0, 4) }

    getShootPoint() {
        return new FYGE.Point(this.x + this.width / 2, this.y + this.height)
    }
}