import DragDropable from "../dragdrop/DragDropable";
import MovableManager from "../lib/MovableManager";
import Vector2 from "../lib/Vector2";
import { IWeaponHost } from "../weapon/IWeaponHost";
import Weapon from "../weapon/Weapon";


export default class Hero extends DragDropable implements IWeaponHost {

    movableManager: MovableManager;

    constructor(movableManager) {
        super();
        this.movableManager = movableManager;
        this.texture = FYGE.Texture.fromUrl('//yun.duiba.com.cn/spark/assets/hero_fly1.f292cb1c04589c6ee395fe29538d5385540755f7.png');

        const weapon = new Weapon(this);
    }

    getShootVelocity(){return new Vector2(0, -4)}

    getShootPoint() {
        return new FYGE.Point(this.x + this.width / 2, this.y)
    }

    getDropPoint() { return {} }

    onDragEnd() { }
}