import DragDropable from "../dragdrop/DragDropable";
import DragDropManager from "../dragdrop/DragDropManager";
import MovableManager from "../lib/MovableManager";
import Vector2 from "../lib/Vector2";
import Enemy from "./Enemy";
import Hero from "./Hero";


export function addGame(stage: FYGE.Stage) {
    const movableManager = new MovableManager(stage);//创建管理器
    const dragDropManager = new DragDropManager();

    const hero = stage.addChild(new Hero(movableManager)) as DragDropable;
    hero.position.set(300, 1000);

    const enemy = stage.addChild(new Enemy(movableManager));
    enemy.position.set(0, 0);
    enemy.velocity=new Vector2(4,1);
        
    dragDropManager.add(hero);
}